using UnityEditor;
using UnityEngine;

namespace RebootKit.Editor.Utils {
    public static class AssetDatabaseEx {
        public static T[] LoadAllAssets<T>() where T : Object {
            string[] guids = AssetDatabase.FindAssets($"t:{typeof(T).Name}");
            T[] assets = new T[guids.Length];
            for (int i = 0; i < guids.Length; i++) {
                string path = AssetDatabase.GUIDToAssetPath(guids[i]);
                assets[i] = AssetDatabase.LoadAssetAtPath<T>(path);
            }

            return assets;
        }
    }
}